RDKit::PeriodicTable Class Reference

singleton class for retrieving information about atoms More...

`#include <PeriodicTable.h>`

## Public Member Functions

| ~PeriodicTable ()
double | getAtomicWeight (UINT atomicNumber) const
| returns the atomic weight More...
double | getAtomicWeight (const std::string &elementSymbol) const
double | getAtomicWeight (const char *elementSymbol) const
int | getAtomicNumber (const char *elementSymbol) const
| returns the atomic number More...
int | getAtomicNumber (const std::string &elementSymbol) const
| overload More...
std::string | getElementSymbol (UINT atomicNumber) const
| returns the atomic symbol More...
double | getRvdw (UINT atomicNumber) const
| returns the atom's van der Waals radius More...
double | getRvdw (const std::string &elementSymbol) const
double | getRvdw (const char *elementSymbol) const
double | getRcovalent (UINT atomicNumber) const
| returns the atom's covalent radius More...
double | getRcovalent (const std::string &elementSymbol) const
double | getRcovalent (const char *elementSymbol) const
double | getRb0 (UINT atomicNumber) const
| returns the atom's bond radius More...
double | getRb0 (const std::string &elementSymbol) const
double | getRb0 (const char *elementSymbol) const
int | getDefaultValence (UINT atomicNumber) const
| returns the atom's default valence More...
int | getDefaultValence (const std::string &elementSymbol) const
int | getDefaultValence (const char *elementSymbol) const
const INT_VECT & | getValenceList (UINT atomicNumber) const
const INT_VECT & | getValenceList (const std::string &elementSymbol) const
const INT_VECT & | getValenceList (const char *elementSymbol) const
int | getNouterElecs (UINT atomicNumber) const
| returns the number of outer shell electrons More...
int | getNouterElecs (const std::string &elementSymbol) const
int | getNouterElecs (const char *elementSymbol) const
int | getMostCommonIsotope (UINT atomicNumber) const
| returns the number of the most common isotope More...
int | getMostCommonIsotope (const std::string &elementSymbol) const
int | getMostCommonIsotope (const char *elementSymbol) const
double | getMostCommonIsotopeMass (UINT atomicNumber) const
| returns the mass of the most common isotope More...
double | getMostCommonIsotopeMass (const std::string &elementSymbol) const
double | getMostCommonIsotopeMass (const char *elementSymbol) const
double | getMassForIsotope (UINT atomicNumber, UINT isotope) const
double | getMassForIsotope (const std::string &elementSymbol, UINT isotope) const
double | getMassForIsotope (const char *elementSymbol, UINT isotope) const
double | getAbundanceForIsotope (UINT atomicNumber, UINT isotope) const
double | getAbundanceForIsotope (const std::string &elementSymbol, UINT isotope) const
double | getAbundanceForIsotope (const char *elementSymbol, UINT isotope) const
bool | moreElectroNegative (UINT anum1, UINT anum2) const
| convenience function to determine which atom is more electronegative More...

## Static Public Member Functions

static PeriodicTable * | getTable ()
| returns a pointer to the singleton PeriodicTable More...

## Detailed Description

singleton class for retrieving information about atoms

Use the singleton like this:

    const PeriodicTable *tbl = PeriodicTable::getTable();
    tbl->getAtomicWeight(6); // get atomic weight for Carbon
    tbl->getAtomicWeight("C"); // get atomic weight for Carbon

Definition at line 31 of file PeriodicTable.h.

## Constructor & Destructor Documentation

## ~PeriodicTable()

RDKit::PeriodicTable::~PeriodicTable | ( |  | ) |

inline

Definition at line 46 of file PeriodicTable.h.

## Member Function Documentation

## getAbundanceForIsotope() [1/3]

double RDKit::PeriodicTable::getAbundanceForIsotope | ( | UINT | atomicNumber,
|  | UINT | isotope
| ) |  | const

inline

returns the abundance of a particular isotope; zero if that isotope is unknown.

Definition at line 257 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getAbundanceForIsotope().

## getAbundanceForIsotope() [2/3]

double RDKit::PeriodicTable::getAbundanceForIsotope | ( | const std::string & | elementSymbol,
|  | UINT | isotope
| ) |  | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 270 of file PeriodicTable.h.

References getAbundanceForIsotope(), and PRECONDITION.

## getAbundanceForIsotope() [3/3]

double RDKit::PeriodicTable::getAbundanceForIsotope | ( | const char * | elementSymbol,
|  | UINT | isotope
| ) |  | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 277 of file PeriodicTable.h.

References getAbundanceForIsotope().

## getAtomicNumber() [1/2]

int RDKit::PeriodicTable::getAtomicNumber | ( | const char * | elementSymbol | ) | const

inline

returns the atomic number

Definition at line 70 of file PeriodicTable.h.

## getAtomicNumber() [2/2]

int RDKit::PeriodicTable::getAtomicNumber | ( | const std::string & | elementSymbol | ) | const

inline

overload

Definition at line 76 of file PeriodicTable.h.

References POSTCONDITION.

## getAtomicWeight() [1/3]

double RDKit::PeriodicTable::getAtomicWeight | ( | UINT | atomicNumber | ) | const

inline

returns the atomic weight

Definition at line 52 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getAtomicWeight().

## getAtomicWeight() [2/3]

double RDKit::PeriodicTable::getAtomicWeight | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 58 of file PeriodicTable.h.

References PRECONDITION.

## getAtomicWeight() [3/3]

double RDKit::PeriodicTable::getAtomicWeight | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 65 of file PeriodicTable.h.

References getAtomicWeight().

## getDefaultValence() [1/3]

int RDKit::PeriodicTable::getDefaultValence | ( | UINT | atomicNumber | ) | const

inline

returns the atom's default valence

Definition at line 149 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getDefaultValence().

## getDefaultValence() [2/3]

int RDKit::PeriodicTable::getDefaultValence | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 154 of file PeriodicTable.h.

References getDefaultValence(), and PRECONDITION.

## getDefaultValence() [3/3]

int RDKit::PeriodicTable::getDefaultValence | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 160 of file PeriodicTable.h.

References getDefaultValence().

## getElementSymbol()

std::string RDKit::PeriodicTable::getElementSymbol | ( | UINT | atomicNumber | ) | const

inline

returns the atomic symbol

Definition at line 95 of file PeriodicTable.h.

References PRECONDITION.

## getMassForIsotope() [1/3]

double RDKit::PeriodicTable::getMassForIsotope | ( | UINT | atomicNumber,
|  | UINT | isotope
| ) |  | const

inline

returns the mass of a particular isotope; zero if that isotope is unknown.

Definition at line 232 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getMassForIsotope().

## getMassForIsotope() [2/3]

double RDKit::PeriodicTable::getMassForIsotope | ( | const std::string & | elementSymbol,
|  | UINT | isotope
| ) |  | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 245 of file PeriodicTable.h.

References getMassForIsotope(), and PRECONDITION.

## getMassForIsotope() [3/3]

double RDKit::PeriodicTable::getMassForIsotope | ( | const char * | elementSymbol,
|  | UINT | isotope
| ) |  | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 252 of file PeriodicTable.h.

References getMassForIsotope().

## getMostCommonIsotope() [1/3]

int RDKit::PeriodicTable::getMostCommonIsotope | ( | UINT | atomicNumber | ) | const

inline

returns the number of the most common isotope

Definition at line 199 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getMostCommonIsotope().

## getMostCommonIsotope() [2/3]

int RDKit::PeriodicTable::getMostCommonIsotope | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 204 of file PeriodicTable.h.

References getMostCommonIsotope(), and PRECONDITION.

## getMostCommonIsotope() [3/3]

int RDKit::PeriodicTable::getMostCommonIsotope | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 210 of file PeriodicTable.h.

References getMostCommonIsotope().

## getMostCommonIsotopeMass() [1/3]

double RDKit::PeriodicTable::getMostCommonIsotopeMass | ( | UINT | atomicNumber | ) | const

inline

returns the mass of the most common isotope

Definition at line 215 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getMostCommonIsotopeMass().

## getMostCommonIsotopeMass() [2/3]

double RDKit::PeriodicTable::getMostCommonIsotopeMass | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 220 of file PeriodicTable.h.

References getMostCommonIsotopeMass(), and PRECONDITION.

## getMostCommonIsotopeMass() [3/3]

double RDKit::PeriodicTable::getMostCommonIsotopeMass | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 226 of file PeriodicTable.h.

References getMostCommonIsotopeMass().

## getNouterElecs() [1/3]

int RDKit::PeriodicTable::getNouterElecs | ( | UINT | atomicNumber | ) | const

inline

returns the number of outer shell electrons

Definition at line 183 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getNouterElecs(), and moreElectroNegative().

## getNouterElecs() [2/3]

int RDKit::PeriodicTable::getNouterElecs | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 188 of file PeriodicTable.h.

References getNouterElecs(), and PRECONDITION.

## getNouterElecs() [3/3]

int RDKit::PeriodicTable::getNouterElecs | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 194 of file PeriodicTable.h.

References getNouterElecs().

## getRb0() [1/3]

double RDKit::PeriodicTable::getRb0 | ( | UINT | atomicNumber | ) | const

inline

returns the atom's bond radius

Definition at line 133 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRb0().

## getRb0() [2/3]

double RDKit::PeriodicTable::getRb0 | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 138 of file PeriodicTable.h.

References getRb0(), and PRECONDITION.

## getRb0() [3/3]

double RDKit::PeriodicTable::getRb0 | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 144 of file PeriodicTable.h.

References getRb0().

## getRcovalent() [1/3]

double RDKit::PeriodicTable::getRcovalent | ( | UINT | atomicNumber | ) | const

inline

returns the atom's covalent radius

Definition at line 117 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRcovalent().

## getRcovalent() [2/3]

double RDKit::PeriodicTable::getRcovalent | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 122 of file PeriodicTable.h.

References getRcovalent(), and PRECONDITION.

## getRcovalent() [3/3]

double RDKit::PeriodicTable::getRcovalent | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 128 of file PeriodicTable.h.

References getRcovalent().

## getRvdw() [1/3]

double RDKit::PeriodicTable::getRvdw | ( | UINT | atomicNumber | ) | const

inline

returns the atom's van der Waals radius

Definition at line 101 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRvdw().

## getRvdw() [2/3]

double RDKit::PeriodicTable::getRvdw | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 106 of file PeriodicTable.h.

References getRvdw(), and PRECONDITION.

## getRvdw() [3/3]

double RDKit::PeriodicTable::getRvdw | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 112 of file PeriodicTable.h.

References getRvdw().

## getTable()

static PeriodicTable* RDKit::PeriodicTable::getTable | ( |  | ) |

static

returns a pointer to the singleton PeriodicTable

## getValenceList() [1/3]

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | UINT | atomicNumber | ) | const

inline

returns a vector of all stable valences. For atoms where we really don't have any idea what a reasonable maximum valence is (like transition metals), the vector ends with -1

Definition at line 167 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getValenceList().

## getValenceList() [2/3]

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | const std::string & | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 172 of file PeriodicTable.h.

References getValenceList(), and PRECONDITION.

## getValenceList() [3/3]

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | const char * | elementSymbol | ) | const

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 178 of file PeriodicTable.h.

References getValenceList().

## moreElectroNegative()

bool RDKit::PeriodicTable::moreElectroNegative | ( | UINT | anum1,
|  | UINT | anum2
| ) |  | const

inline

convenience function to determine which atom is more electronegative

check if atom with atomic number `anum1` is more electronegative than the one with `anum2` this is rather lame but here is how we do it

- the atom with the higher number of outer shell electrons is considered more electronegative
- if the # of outer shell elecs are the same the atom with the lower atomic weight is more electronegative

Definition at line 293 of file PeriodicTable.h.

References getNouterElecs(), and PRECONDITION.

The documentation for this class was generated from the following file:

- PeriodicTable.h